darcs

Issue 2198 refactor Darcs.Test and Darcs.Repository.Internal.testAny

Title refactor Darcs.Test and Darcs.Repository.Internal.testAny
Priority wishlist Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List jaredj, kowey
Assigned To
Topics ProbablyEasy

Created on 2012-05-26.06:52:40 by kowey, last changed 2012-05-31.23:03:19 by noreply.

Messages
msg15721 (view) Author: kowey Date: 2012-05-26.06:52:38
There's room for something to be refactored there, even if the 
differences are significant.  The Darcs.Test version is used in darcs 
test only.  The Darcs.Repository version is used for darcs foo --test
msg15735 (view) Author: noreply Date: 2012-05-30.20:25:27
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2198 with
status=has-patch

* resolve issue2198 move repo testing code to Darcs.Repository.Test 
Ignore-this: 738571e479b21df16e12b48cec046fd9

also move (versioned and unversioned) file listing functions from
Darcs.Arguments to Darcs.Repository to avoid circular dependencies.
msg15779 (view) Author: noreply Date: 2012-05-31.23:03:18
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2198 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2198 move repo testing code to Darcs.Repository.Test 
Ignore-this: 738571e479b21df16e12b48cec046fd9

also move (versioned and unversioned) file listing functions from
Darcs.Arguments to Darcs.Repository to avoid circular dependencies.
History
Date User Action Args
2012-05-26 06:52:40koweycreate
2012-05-26 06:56:50koweylinkissue2187 superseder
2012-05-30 20:25:29noreplysetstatus: needs-implementation -> has-patch
messages: + msg15735
2012-05-31 23:03:19noreplysetstatus: has-patch -> resolved
messages: + msg15779
resolvedin: 2.10.0 HEAD